> For the complete documentation index, see [llms.txt](https://developer.siteminder.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.siteminder.com/channels-plus-api/reference/modify-reservation.md).

# Modify Reservation

{% hint style="info" %}
**API:** Channels Plus · **Operation:** Reservations · **Direction:** Channel → SM · **Method:** Push (Channel-initiated)
{% endhint %}

## PATCH /reservations/{bookingReferenceId}

> Modify an existing reservation. This endpoint allows updating guest information for the primary guest and individual room guests. Note that this endpoint can only modify non-price impacting details of the reservation.

```json
{"openapi":"3.0.0","info":{"title":"Channels Plus Channel API","version":"0.0.1"},"paths":{"/reservations/{bookingReferenceId}":{"patch":{"operationId":"modifyReservation","description":"Modify an existing reservation. This endpoint allows updating guest information for the primary guest and individual room guests. Note that this endpoint can only modify non-price impacting details of the reservation.","parameters":[{"$ref":"#/components/parameters/SmApiId"},{"$ref":"#/components/parameters/SmApiKey"},{"name":"bookingReferenceId","description":"The unique identifier of the reservation to be modified","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"guestTitle":{"type":"string","nullable":true,"description":"The title of the primary guest (e.g., Mr., Mrs., Ms., Dr.)"},"guestFirstName":{"type":"string","nullable":true,"description":"The first name of the primary guest"},"guestLastName":{"type":"string","nullable":true,"description":"The last name of the primary guest"},"guestEmail":{"type":"string","nullable":true,"description":"The email address of the primary guest"},"guestPhoneNumber":{"type":"string","nullable":true,"description":"The phone number of the primary guest"},"guestAddress":{"type":"string","nullable":true,"description":"The street address of the primary guest"},"guestCity":{"type":"string","nullable":true,"description":"The city of residence for the primary guest"},"guestState":{"type":"string","nullable":true,"description":"The state or region of residence for the primary guest"},"guestPostcode":{"type":"string","nullable":true,"description":"The postal or zip code of the primary guest"},"guestCountry":{"type":"string","nullable":true,"description":"The country of residence for the primary guest"},"guestRemarks":{"type":"string","nullable":true,"description":"Any additional remarks or special requests from the primary guest"},"rooms":{"type":"array","description":"An array of rooms in the reservation, allowing individual guest information updates","items":{"type":"object","additionalProperties":false,"properties":{"roomUuid":{"type":"string","description":"The unique identifier of the room in the reservation"},"guestTitle":{"type":"string","nullable":true,"description":"The title of the guest for this specific room"},"guestFirstName":{"type":"string","nullable":true,"description":"The first name of the guest for this specific room"},"guestLastName":{"type":"string","nullable":true,"description":"The last name of the guest for this specific room"},"guestRemarks":{"type":"string","nullable":true,"description":"Any additional remarks or special requests for this specific room"}},"required":["roomUuid"]},"maxItems":10}}}}}},"responses":{"200":{"description":"Successful response. The reservation has been modified successfully.","headers":{}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/ServerError"}}}}},"components":{"parameters":{"SmApiId":{"name":"x-sm-api-id","description":"The api id for channel","required":true,"in":"header","schema":{"type":"string"}},"SmApiKey":{"name":"x-sm-api-key","description":"The api key for channel","required":true,"in":"header","schema":{"type":"string"}}},"responses":{"BadRequest":{"description":"Invalid request","headers":{},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"The specified resource was not found","headers":{},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServerError":{"description":"Unexpected error occurred","headers":{},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Error":{"type":"object","required":["errors"],"properties":{"errors":{"minItems":1,"type":"array","description":"An array of error objects, for most errors, this array would only contain one error object. An errors array must contain at least one error object.","items":{"type":"object","required":["code"],"properties":{"code":{"type":"string"},"message":{"type":"string"},"meta":{"type":"object"}}}}}}}}}
```

{% hint style="success" icon="sparkles" %}

## Still have questions?

Use the <i class="fa-gitbook-assistant">:gitbook-assistant:</i> **Ask** button at the top of the page to chat with our AI assistant — it can help you navigate the guide, understand requirements, and troubleshoot issues.

If you need more support, visit [Integration Support](/integration-support/integration-support.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.siteminder.com/channels-plus-api/reference/modify-reservation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
